Tripnet - Feature #117680
Salam Air Integration
02/17/2022 09:29 am - Chinnu Kuruvila

/B2Bw

Status: Fixed not Tested Start date: 03/16/2022

Priority: High Due date: 03/17/2022

Assignee: Frinto Vincent C % Done: 67%

Category: Estimated time: 0.00 hour

Target version: Spent time: 66.50 hours

End_Date: 03/10/2022 Areas Affected: B2b, Salam Air Provider

remarks: Salam Air B2B Implementation Completed Files Changed: /Travel/Trunk4/Live Solutions/Tripnet_Live

DB Changes: Strored Procedures Updated at 0 0  <addhitialdldboeSititarirson@ectionString="Server=93.115.29.110;Database=
Keys & Permissions: keys updated at bug

Description

Salam Air Integration.

Test credentials are attached below

Subtasks:

Bug # 118020: Flight | Salam air | Log written Issue

Bug # 118017: Flight | Salamair | Baggage field text issue

Bug # 118019: Flight | Salamair | Oneway | Baggage is not showing in pax page |

New
Closed
Closed

History

#1 - 02/22/2022 11:08 am - Frinto Vincent C

- Due date set to 02/28/2022

- Assignee set to Frinto Vincent C

- Start date changed from 02/17/2022 to 02/22/2022

#2 - 02/22/2022 11:12 am - Nithin George
- Project changed from Corporate_Tripnet to Tripnet

#3 - 02/22/2022 11:20 am - Frinto Vincent C

- Status changed from New to In Progress

#4 - 02/22/2022 08:08 pm - Frinto Vincent C
- % Done changed from 0 to 20

#5 - 03/01/2022 12:40 pm - Frinto Vincent C
- Status changed from In Progress to On hold

on hold due to http://redmine.caxita.ca/issues/117778

#6 - 03/02/2022 08:15 pm - Frinto Vincent C
- % Done changed from 20 to 50

#7 - 03/04/2022 09:05 pm - Frinto Vincent C

working on baggage - issue getting at roundtrip where 1 trip has baggage other not have baggage
#8 - 03/07/2022 10:17 am - Frinto Vincent C
- Status changed from On hold to In Progress

#9 - 03/07/2022 07:54 pm - Frinto Vincent C
- Status changed from In Progress to On hold

on hold due to http://redmine2020.caxita.ca/issues/17829

#10 - 03/10/2022 05:12 pm - Frinto Vincent C
- Due date changed from 02/28/2022 to 03/10/2022
- Status changed from On hold to In Progress

#11 - 03/10/2022 06:18 pm - Frinto Vincent C

- % Done changed from 50 to 100

- End_Date set to 03/10/2022

- Areas Affected set to B2b, Salam Air Provider

- Files Changed set to /Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/App_GlobalResources/CommonResources.Designer.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/App_GlobalResources/CommonResources.ar.resx
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/App_GlobalResources/CommonResources.resx
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/AdminWeb/Controllers/ReportsdsonController.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/AdminWeb/Controllers/UserJsonController.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/Search/Controllers/FlightController.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/Search/Js/FlightResult.js

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/Search/Models/SearchResultModel.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/Search/Views/Flight/DesktopEticketPartial.cshtm!
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/Search/Views/Flight/FlightHotelPaymentDetail.cshtm/
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/Search/Views/Flight/FlightPassengerDetails.cshtml
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/Search/Views/Flight/FlightPaymentDetail.cshtml
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Areas/Search/Views/Flight/PnrEticketPartial.cshtml|
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/BookingReqestAssembler.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/FareQuoteFlightSpecificAssembler.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/FareSummary.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/Flight/FlightAPICalls.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/Flight/FlightBookingHandler.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/Flight/FlightModelHandler.Admin.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/Flight/FlightRequestAssembler.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/Flight/FlightTaskHandler.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/Flight/FlightTicketingHandler.FlyDubai.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/Flight/FlightTicketingHandler.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/SearchResult.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/UlDataAssembler.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/UserData.Admin.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Code/Ultility.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/Web.config

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2Bweb/XML/Keys.xml

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2C/Code/FareSummary.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/B2C/Code/Utility.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/Common/Settings.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/Common.DataKinds/DataTypes.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/CommonDTOs/DTOs/PassengerDetailsDTO.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightDTOs/FlightDTOs-Mobile.csproj
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightDTOs/Requests/BaggagelnformationRequestDTO.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightDTOs/Requests/PNRBFBookingRequestDTO.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightDTOs/Responses/FareQuoteFlightSpecificResponseDTO.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightDTOs/Responses/FlightResultResponseDTO.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightDTOs/Responses/PNRBFRetrieveResponseDTO.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightDTOs/SalamAirSecurity Token.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Assembler

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Assembler/RAssembler.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common/AllowedCabins.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common/CParams.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common/Credentials.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common/Extension.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common/ICParams.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common/Logs.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common/Models.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common/SACurrency.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Common/SearchHits.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Properties

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Properties/Assemblyinfo.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Requests

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Requests/SalamAirRequests.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Responses

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Responses/SalamAirResponses.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/SalamAir.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/SalamAirProvider-WebApi-4.5.2.csproj
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/SalamAirProvider-WebApi-4.5.2.csproj.user
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint.disco
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint1.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint2.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint3.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint4.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint5.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint6.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint7.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/ConnectPoint8.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fares/ConnectPoint_Fares.wsdl

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/Reference.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fares/Reference.svcmap
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fares/SalamAirProvider.Fares.ViewFareBasis.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fares/SalamAirProvider.Fares.ViewPNR.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fares/configuration.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fares/configuration91.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees

04/30/2025 3/12



/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint.disco
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint1.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint2.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint3.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint4.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint5.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint6.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint7.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/ConnectPoint8.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fees/ConnectPoint_Fees.wsdl

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/Reference.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/Reference.svecmap
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fees/SalamAirProvider.Fees.ViewPNR.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fees/SalamAirProvider.Fees.ViewPaymentMethodsFees.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fees/configuration.svcinfo
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fees/configuration91.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/ConnectPoint.disco
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/ConnectPoint.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/ConnectPoint1.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/ConnectPoint2.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/ConnectPoint3.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/ConnectPoint4.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/ConnectPoint5.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/ConnectPoint6.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/ConnectPoint_Flight.wsdl

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/Reference.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Flight/Reference.svcmap
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/SalamAirProvider.Flight. ViewAirportRoutes.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/SalamAirProvider.Flight. ViewAllConfirmations.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/SalamAirProvider.Flight. ViewFlightSchedulelnformation.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/SalamAirProvider.Flight. ViewFlightSeatMap.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/SalamAirProvider.Flight. ViewFlightStatus.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/SalamAirProvider.Flight. ViewLogicalFlightinfo.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/SalamAirProvider.Flight. ViewSeatAvailability.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/SalamAirProvider.Flight. ViewUpdateLidAircraftCollection.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/configuration.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Flight/configuration91.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fulfillment
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint.disco

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint1.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint2.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint3.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint4.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint5.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint6.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint7.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint8.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint9.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/ConnectPoint_Fulfillment.wsdl

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Fulfillment/Reference.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/Reference.svemap

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/SalamAirProvider. Fulfillment. GetConvertedReservationBalanceResponse.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/SalamAirProvider.Fulfillment. ViewConvertedCurrencylinfo.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/SalamAirProvider. Fulfillment. ViewFormatted3DSecurelnformation.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/SalamAirProvider.Fulfillment. ViewPNR.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/configuration.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Fulfillment/configuration91.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Notification
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/ConnectPoint.disco

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/ConnectPoint.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/ConnectPoint1.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/ConnectPoint2.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/ConnectPoint3.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/ConnectPoint4.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/ConnectPoint5.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/ConnectPoint_Notification.wsdl

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Notification/Reference.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/Reference.svemap

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/SalamAirProvider.Notification. SendNotification1.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/configuration.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Notification/configuration91.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Pricing
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint.disco

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Pricing/ConnectPoint.xsd
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint1.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint10.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint11.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint2.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint3.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint4.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint5.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint6.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint7.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint8.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint9.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/ConnectPoint_Pricing.wsdl

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Pricing/Reference.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/Reference.svcmap

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/SalamAirProvider.Pricing.ServiceSummaryResponse.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/SalamAirProvider.Pricing. ViewAARQuotes.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/SalamAirProvider.Pricing. ViewFareBundleDetailsResponse.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/SalamAirProvider.Pricing. ViewFareQuote.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/SalamAirProvider.Pricing. ViewFastFareSearch.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/SalamAirProvider.Pricing. ViewServiceBundleDetailsResponse.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/SalamAirProvider.Pricing. ViewServiceQuotes.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/SalamAirProvider.Pricing. ViewSystemFareQuote.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/configuration.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Pricing/configuration91.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Reservation
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint.disco

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint1.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint2.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint3.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint4.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint5.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint6.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint7.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/ConnectPoint_Reservation.wsdl

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Reservation/Reference.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/Reference.svcmap

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/SalamAirProvider.Reservation. ViewApisinfo.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/SalamAirProvider.Reservation. ViewHistoryPNRCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/SalamAirProvider. Reservation. ViewlmportPNR.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/SalamAirProvider.Reservation. ViewPNR.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/SalamAirProvider. Reservation. ViewPNRModificationlmpactCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/SalamAirProvider.Reservation. ViewReservationsByNationalld.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/configuration.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Reservation/configuration91.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Security
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/ConnectPoint.disco

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/ConnectPoint.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/ConnectPoint1.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/ConnectPoint2.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/ConnectPoint3.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/ConnectPointd.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/ConnectPoint5.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/ConnectPoint_Security.wsdl

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/Security/Reference.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/Reference.svcmap

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/SalamAirProvider.Security. ResponseGetGroupDataByUserid.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/SalamAirProvider.Security. ViewSecurity Token.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/SalamAirProvider.Security. ViewValidatedSecurity Token.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/configuration.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/Security/configuration91.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service References/TravelAgents
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint.disco

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint1.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint2.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint3.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint4.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint5.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint6.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint7.xsd

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/ConnectPoint_TravelAgents.wsdl

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/Reference.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service

04/30/2025 8/12



References/TravelAgents/Reference.svcmap

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents.AgencyFunds TransferStatus.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents.CreateAgency1.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents.CreateAgent1.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents.Login TravelAgentStatus.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents.Login TravelAgentStatusAndType.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents.ModifyAgency1.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents.ModifyAgent1.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service

References/TravelAgents/SalamAirProvider. TravelAgents.MoveAgencySessionData ToNewSecurity Token1.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAgencyCommission.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAgencyDetails.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAgencylncentiveReportCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAgencyinfo.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAgencyList.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAgencyPNRCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAgencywithCClnfo.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAgentDetails.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAgentList.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAssociate ToReservationCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewAvailableCredit.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewBalancelnfo.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewBookingHistoryCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service

References/TravelAgents/SalamAirProvider. TravelAgents. ViewBookings WithPaymentsPendingCollection.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewChangedTADataCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewCommissioninfo.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewCreditLimitHistoryCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewCumulativeBalanceCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewDisruptedAgencyPNRList.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewDistributorDetailsCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewFinanceAgentsCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewModifyAgencyCreditLimit.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewSubAgenciesCollection.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. View Transactioninfo.datasource

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewTravelAgencyPNRList.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/SalamAirProvider. TravelAgents. ViewUpdate TopUpDetailsColletion.datasource
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/configuration.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/Service
References/TravelAgents/configuration91.svcinfo

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/System
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/System/Web

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/System/Web/Hosting.cs

/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/FlightProjects/SalamAirProvider - 4.5.2 Api/app.config
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/ProviderFactory/GatewayService.cs
/Travel/Trunk4/Live Solutions/Tripnet_Live/CommonProjects/ProviderFactory/ProviderFactory - MVC.csproj
/Travel/Trunk4/Live Solutions/Tripnet_Live/Tripnet.sin

#12 - 03/10/2022 06:21 pm - Frinto Vincent C
- Keys & Permissions set to keys updated at bug

Keys

<add key="SalamAirTokenTimeOnPayment" value="14"/>

<add key="EnableSalamAirBaggageService" value="true"/>

<!-- Salam Air -->

<binding name="SalamAirBasicHttpBinding_lConnectPoint_Security" maxReceivedMessageSize="2147483647">
<security mode="Transport"/>

</binding>

<binding name="SalamAirBasicHttpBinding_lConnectPoint_Pricing" maxReceivedMessageSize="2147483647">
<security mode="Transport"/>

</binding>

<binding name="SalamAirBasicHttpBinding_lConnectPoint_Reservation" maxReceivedMessageSize="2147483647">
<security mode="Transport"/>

</binding>

<binding name="SalamAirBasicHttpBinding_lConnectPoint_Fares" maxReceivedMessageSize="2147483647">
<security mode="Transport"/>

</binding>

<binding name="SalamAirBasicHttpBinding_IlConnectPoint_Fees" maxReceivedMessageSize="2147483647">
<security mode="Transport"/>

</binding>

04/30/2025

10/12



<binding name="SalamAirBasicHttpBinding_lConnectPoint_Flight" maxReceivedMessageSize="2147483647">
<security mode="Transport"/>

</binding>

<binding name="SalamAirBasicHttpBinding_lConnectPoint_Fulfillment" maxReceivedMessageSize="2147483647">
<security mode="Transport"/>

</binding>

<binding name="SalamAirBasicHttpBinding_IlConnectPoint_Notification" maxReceivedMessageSize="2147483647">
<security mode="Transport"/>

</binding>

<binding name="SalamAirBasicHttpBinding_IConnectPoint_TravelAgents" maxReceivedMessageSize="2147483647">
<security mode="Transport"/>

</binding>

<l-- Salam Air -->

<!-- Salam Air End points Start -->

<endpoint address="https://salappuat.radixxuat.com/SAL/Radixx.Connectpoint/ConnectPoint.Security.svc"
binding="basicHttpBinding" bindingConfiguration="SalamAirBasicHttpBinding_IConnectPoint_Security"
contract="Security.|ConnectPoint_Security" name="SalamAirBasicHttpBinding_IlConnectPoint_Security" />
<endpoint address="https://salappuat.radixxuat.com/SAL/Radixx.Connectpoint/ConnectPoint.Pricing.svc"
binding="basicHttpBinding" bindingConfiguration="SalamAirBasicHttpBinding_lConnectPoint_Pricing"
contract="Pricing.IConnectPoint_Pricing" name="SalamAirBasicHttpBinding_IConnectPoint_Pricing" />

<endpoint address="https://salappuat.radixxuat.com/SAL/Radixx.Connectpoint/ConnectPoint.Reservation.svc"
binding="basicHttpBinding" bindingConfiguration="SalamAirBasicHttpBinding_IConnectPoint_Reservation"
contract="Reservation.IConnectPoint_Reservation" name="SalamAirBasicHttpBinding_IConnectPoint_Reservation" />
<endpoint address="https://salappuat.radixxuat.com/SAL/Radixx.Connectpoint/ConnectPoint.Fares.svc"
binding="basicHttpBinding" bindingConfiguration="SalamAirBasicHttpBinding_lConnectPoint_Fares"
contract="Fares.IConnectPoint_Fares" name="SalamAirBasicHttpBinding_IConnectPoint_Fares" />

<endpoint address="https://salappuat.radixxuat.com/SAL/Radixx.Connectpoint/ConnectPoint.Fees.svc"
binding="basicHttpBinding" bindingConfiguration="SalamAirBasicHttpBinding_lConnectPoint_Fees"
contract="Fees.IConnectPoint_Fees" name="SalamAirBasicHttpBinding_lConnectPoint_Fees" />

<endpoint address="https://salappuat.radixxuat.com/SAL/Radixx.Connectpoint/ConnectPoint.Flight.svc"
binding="basicHttpBinding" bindingConfiguration="SalamAirBasicHttpBinding_lConnectPoint_Flight"
contract="Flight.IConnectPoint_Flight" name="SalamAirBasicHttpBinding_lConnectPoint_Flight" />

<endpoint address="https://salappuat.radixxuat.com/SAL/Radixx.Connectpoint/ConnectPoint.Fulfillment.svc"
binding="basicHttpBinding" bindingConfiguration="SalamAirBasicHttpBinding_IConnectPoint_Fulfillment"
contract="Fulfillment.IConnectPoint_Fulfillment" name="SalamAirBasicHttpBinding_IConnectPoint_Fulfillment" />
<endpoint address="https://salappuat.radixxuat.com/SAL/Radixx.Connectpoint/ConnectPoint.Notification.svc"
binding="basicHttpBinding" bindingConfiguration="SalamAirBasicHttpBinding_IConnectPoint_Notification"
contract="Notification.IConnectPoint_Notification" name="SalamAirBasicHttpBinding_lConnectPoint_Notification" />
<endpoint address="https://salappuat.radixxuat.com/SAL/Radixx.Connectpoint/ConnectPoint. TravelAgents.svc"
binding="basicHttpBinding" bindingConfiguration="SalamAirBasicHttpBinding_IlConnectPoint_TravelAgents"
contract="TravelAgents.IConnectPoint_TravelAgents" name="SalamAirBasicHttpBinding_IConnectPoint_TravelAgents" />

<!-- Salam Air End points End -->

#13 - 03/10/2022 06:23 pm - Frinto Vincent C

- Status changed from In Progress to For Review

- Assignee changed from Frinto Vincent C to Nithin George
- remarks set to Salam Air B2B Implementation Completed

- DB Changes set to Strored Procedures Updated at

<add name="ConString" connectionString="Server=93.115.29.110;Database=st _tripnetTT,Integrated Security=SSPI;User
ID=testuser;Password=user@321#;Trusted_Connection=False;" />
#14 - 03/14/2022 07:03 pm - Nithin George
- Status changed from For Review to Fixed not Tested

- Assignee changed from Nithin George to Frinto Vincent C
